RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Security.AuthService Class Reference
Inheritance diagram for com.robogames.RoboCupMS.Business.Security.AuthService:
[legend]
Collaboration diagram for com.robogames.RoboCupMS.Business.Security.AuthService:
[legend]

## Public Member Functions
String | login (LoginObj login) throws Exception
void | logout () throws Exception
void | register (RegistrationObj reg) throws Exception
Public Member Functions inherited from com.robogames.RoboCupMS.Business.Security.OAuth2Service
String | getOAuth2URI (String redirectURI) throws Exception
String | oAuth2GenerateToken (String redirectURI, String code) throws Exception

## Additional Inherited Members
Protected Attributes inherited from com.robogames.RoboCupMS.Business.Security.OAuth2Service
UserRepository | repository

## Detailed Description

Zajistuje autentizaci a registraci uzivatelu

## Member Function Documentation

## ◆ login()

String com.robogames.RoboCupMS.Business.Security.AuthService.login | ( | LoginObj | login | ) | throws Exception
| inline

Prihlaseni uzivatele do systemu (pokud je email a heslo spravne tak vygeneruje, navrati a zapise do databaze pristupovy token pro tohoto uzivatele)

Parameters

  email | Email uzivatele
  password | Heslo uzivatele

Returns
  Pristupovy token

## ◆ logout()

void com.robogames.RoboCupMS.Business.Security.AuthService.logout | ( |  | ) | throws Exception
| inline

Odhlasi uzivatele ze systemu (odstrani pristupovy token z databaze)

Parameters

  email | Email uzivatele

Returns
  Status

## ◆ register()

void com.robogames.RoboCupMS.Business.Security.AuthService.register | ( | RegistrationObj | reg | ) | throws Exception
| inline

Registruje noveho uzivatele

Parameters

  reg | Registracni udaje noveho uzivatele

Returns
  Nove vytvoreni uzivatel

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Security/AuthService.java